# mat_checks.h File Reference

UnitTest++ checks specialized for IT++ matrices. More...

`#include "../bdm/itpp_ext.h"`
`#include "UnitTest++.h"`
`#include <string>`

Go to the source code of this file.

## Classes
class | CurrentContext
## Defines
#define | CHECK_EQUAL_EX(expected, actual)
#define | CHECK_CLOSE_EX(expected, actual, tolerance)
## Functions
bool | UnitTest::AreClose (const itpp::vec &expected, const itpp::vec &actual, double tolerance)
bool | UnitTest::AreClose (const itpp::vec &expected, const itpp::vec &actual, const itpp::vec &tolerance)
bool | UnitTest::AreClose (const itpp::mat &expected, const itpp::mat &actual, double tolerance)
void | UnitTest::CheckClose (TestResults &results, const itpp::vec &expected, const itpp::vec &actual, double tolerance, TestDetails const &details)
void | UnitTest::CheckClose (TestResults &results, const itpp::mat &expected, const itpp::mat &actual, double tolerance, TestDetails const &details)
itpp::vec | make_close_tolerance (const itpp::vec &variance, int nsamples)

## Detailed Description

UnitTest++ checks specialized for IT++ matrices.

Author:
  Vaclav Barta.

----------------------------------- BDM++ - C++ library for Bayesian Decision Making under Uncertainty

Using IT++ for numerical operations -----------------------------------

## Define Documentation

#define CHECK_CLOSE_EX | ( | expected,
|  | actual,
|  | tolerance |  | ) |

Value:

    do \
        { \
            try { \
                CurrentContext::CheckCloseEx(*UnitTest::CurrentTest::Results(), expected, actual, tolerance, UnitTest::TestDetails(*UnitTest::CurrentTest::Details(), 0, false)); \
            } \
            catch (...) { \
                UnitTest::CurrentTest::Results()->OnTestFailure(UnitTest::TestDetails(*UnitTest::CurrentTest::Details(), __LINE__), \
                        "Unhandled exception in CHECK_CLOSE_EX(" #expected ", " #actual ")"); \
            } \
        } while (0)

#define CHECK_EQUAL_EX | ( | expected,
|  | actual |  | ) |

Value:

    do \
        { \
            try { \
                CurrentContext::CheckEqualEx(*UnitTest::CurrentTest::Results(), expected, actual, UnitTest::TestDetails(*UnitTest::CurrentTest::Details(), 0, false)); \
            } \
            catch (...) { \
                UnitTest::CurrentTest::Results()->OnTestFailure(UnitTest::TestDetails(*UnitTest::CurrentTest::Details(), __LINE__), \
                        "Unhandled exception in CHECK_EQUAL_EX(" #expected ", " #actual ")"); \
            } \
        } while (0)

## Function Documentation

itpp::vec make_close_tolerance | ( | const itpp::vec & | variance,
|  | int | nsamples |
| ) |  |  | `[inline]`

Constructs the multiple of standard deviation used for sample tests (currently 2).